// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


/** Document the purpose of this class.
 *
 * @version 1.0
 * @author Timo Stich
 */

package org.columba.coder;


import java.io.*;

public class EncodedWordEncoder extends Encoder {

    private Reader input;
    private Writer output;

    public EncodedWordEncoder()
    {
        super();
        coding = new String("encoded-word");
        
    }
    
    public void setupEncoder(Reader input, Writer output)
        {
            this.input = input;
            this.output = output;
        }

    public void run()
        {}
    

}
