/*
 * (c) Copyright 2001 MyCorporation.
 * All Rights Reserved.
 */
package org.columba.gui.addressbook.util;

import javax.swing.*;
import java.awt.*;


import org.columba.config.*;


public class AddressbookListView 
{
	private AddressbookListModel model;
	private JList list;
	
	public AddressbookListView( AddressbookListModel model )
	{
		model = model;
		list = new JList( model );
		list.setCellRenderer( new AddressbookListRenderer() );
		
		
	}
	
	public AddressbookListView()
	{
		model = new AddressbookListModel();
		list = new JList(model);
		list.setCellRenderer( new AddressbookListRenderer() );
		
		
	}
	
	public void add( ContactItem item )
	{
		model.add( item );
	}

	public boolean isSelectionEmpty()
	{
		return list.isSelectionEmpty();
	}
	
	public int getSelectedIndex()
	{
		return list.getSelectedIndex();
	}
	
	public JComponent getComponent()
	{
		return list;
	}
	
	
}
