package org.columba.gui.addressbook.util;

import javax.swing.*;
import javax.swing.tree.*;
import java.awt.*;
import javax.swing.border.*;



import org.columba.config.*;
import org.columba.gui.addressbook.*;
import org.columba.gui.util.ImageLoader;

public class AddressbookTreeCellRenderer extends DefaultTreeCellRenderer
{
    Border unselectedBorder = null;
    Border selectedBorder = null;
    boolean isBordered = true;
    boolean bool;
    ImageIcon image;
       
    private ImageIcon image1 = ImageLoader.getImageIcon("addressbook_small","org/columba/images/History16.gif");
    private ImageIcon image2 = ImageLoader.getImageIcon("group_small","org/columba/images/Bookmarks16.gif");
    
    
    private String fontName;
    private int fontSize;
    
    public AddressbookTreeCellRenderer(boolean bool) 
    {
	super();

	this.bool = bool;

        
	//setOpaque(true); //MUST do this for background to show up.
    }

    public Component getTreeCellRendererComponent(
        JTree tree, Object value, 
        boolean isSelected, boolean expanded,
        boolean leaf, int row,
        boolean hasFocus)
    {
	super.getTreeCellRendererComponent( tree, value, isSelected, expanded, leaf, row, hasFocus );


	/*
	if (isBordered)
        {
	    if (isSelected)
            {
		if (selectedBorder == null)
                {
                    
		}

                setBackground( UIManager.getColor( "textHighlight" ) );
                setForeground( UIManager.getColor( "textHighlightText" ) );

                
	    }
            else
            {
		if (unselectedBorder == null)
                {
		    unselectedBorder = BorderFactory.createMatteBorder(2,5,2,5,
								       tree.getBackground() );
		}
		setBackground( tree.getBackground() );
		setForeground( UIManager.getColor( "textText" ) );
	    }
	}
	*/
        
        AddressbookTreeNode node = (AddressbookTreeNode) value;
        AdapterNode adpNode = node.getNode();
        
        
        if ( adpNode == null ) return this;
        
        String name = adpNode.getName();
                 
	setText( node.getName() );
        if ( name.equals("addressbook") )
            setIcon( image1 );
        else
            setIcon( image2 );
        
        
          /*
            if ( node.getChildCount() == 2 )
            {
            AccountTreeNode child = (AccountTreeNode ) node.getChildAt( 0 );
            String name = child.getName();
            name = name.toLowerCase();
            
            if ( name.indexOf("pop") != -1 )
            setIcon( image2 );
            else
            setIcon( image4 );
            }
            else
            setIcon( null );
          */
              
	return this;
    }
    
}
