// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


package org.columba.gui.composer;

import javax.swing.*;
import java.awt.*;
import java.util.*;


import org.columba.gui.mainframe.MainFrame;
import org.columba.config.Config;
import org.columba.composer.*;
import org.columba.gui.tree.TreeViewer;
import org.columba.gui.statusbar.*;
import org.columba.gui.composer.action.*;
import org.columba.gui.composer.util.*;
import org.columba.folder.*;
import org.columba.pgp.*;
import org.columba.main.*;

public class ComposerInterface
{
    public ComposerAttachment composerAttachment;
    public ComposerHeader composerHeader;
    public ComposerFrame composerFrame;
    public ComposerEditor composerEditor;
    public ComposerActionListener composerActionListener;
    public TreeViewer treeViewer;
    public MessageComposer messageComposer;
   
    public TaskManager taskManager;
    public IdentityInfoPanel identityInfoPanel;
    public Config config;
    public UndoDocument message;
    public PGPController pgpController;
    public Folder composerFolder;
    public Crossbar crossbar;
    public MainInterface mainInterface;

    public ComposerInterface( Config conf  )
        {
	    config = conf;
        }

}





