package org.columba.gui.config.accountwizard;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

import org.columba.gui.util.*;

public class FinishPanel extends DefaultWizardPanel {
	private JLabel label;
	private JLabel label2;

	public FinishPanel(
		JDialog dialog,
		ActionListener listener,
		String title,
		String description,
		ImageIcon icon) {
		super(dialog, listener, title, description, icon, DefaultWizardPanel.LAST);
	}

	protected JPanel createPanel(ActionListener listener) {
		JPanel panel = new JPanel();
		panel.setBorder(BorderFactory.createEmptyBorder(30, 30, 20, 30));
		panel.setLayout(new BoxLayout(panel, BoxLayout.Y_AXIS));

		MultiLineLabel label =
			new MultiLineLabel("You are now ready to work with Columba.\n\nIf you have any suggestions, feature requests, problems, found bugs or want to send a patch -\njust open the About Dialog for contacting us\n\nHave Fun,\nThe Columba Developers");

		panel.add(label);

		panel.add(Box.createRigidArea(new java.awt.Dimension(0, 80)));

		return panel;
	}

}