package org.columba.gui.config.accountwizard;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

import org.columba.gui.util.*;

public class WelcomePanel extends DefaultWizardPanel {
	private JLabel welcomeLabel;
	private JLabel label2;
	private JLabel label3;

	public WelcomePanel(
		JDialog dialog,
		ActionListener listener,
		String title,
		String description,
		ImageIcon icon) {
		super(dialog, listener, title, description, icon, DefaultWizardPanel.FIRST);
	}

	protected JPanel createPanel(ActionListener listener) {
		JPanel panel = new JPanel();
		panel.setBorder(BorderFactory.createEmptyBorder(30, 30, 20, 30));
		panel.setLayout(new BoxLayout(panel, BoxLayout.Y_AXIS));

		MultiLineLabel label =
			new MultiLineLabel("Welcome to Columba!\n\nIt is the first time you are starting Columba. This Wizard will guide you in creating a new account.");

		panel.add(label);

		panel.add(Box.createRigidArea(new java.awt.Dimension(0, 140)));

		return panel;
	}

}