package org.columba.gui.config.subscribe;


import org.columba.message.*;
import org.columba.folder.*;
import org.columba.folder.imap.*;
import org.columba.parser.*;
import org.columba.pop3.*;
import org.columba.util.*;
import org.columba.main.*;


import org.columba.gui.header.*;
import org.columba.gui.pop3.util.*;
import org.columba.gui.header.util.*;
import org.columba.gui.message.*;
import org.columba.gui.util.*;
import org.columba.config.*;


import java.io.*;
import javax.swing.text.*;
import javax.swing.*;
import javax.swing.table.*;
import javax.swing.event.*;
import java.awt.*;
import java.awt.event.*;
import java.util.Vector;
import java.util.*;
import javax.swing.tree.*;
import java.awt.dnd.*;
import java.awt.datatransfer.*;

import org.columba.gui.header.treetable.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author
 * @version 1.0
 */
public class SubscribeHeaderTableViewer implements TreeSelectionListener
{
    private MainInterface mainInterface;

    private JTreeTable table;
    private SubscribeHeaderTableModel headerTableModel;

    public JScrollPane scrollPane;

    private ImapRootFolder folder;

    public SubscribeHeaderTableViewer( MainInterface mainInterface )
    {
        this.mainInterface = mainInterface;

            //HeaderTableItem item = (HeaderTableItem) mainInterface.config.getSubscribeOptionsConfig().getHeaderTableItem();
            //item.removeEnabledItem();

            headerTableModel = new SubscribeHeaderTableModel();
            //headerTableModel.addTreeModelListener( this );


            /*
            manageTableModelFilteredView = new ManageTableModelFilteredView( headerTableModel );
            tableModelSorter = new TableModelSorter( headerTableModel );
            tableModelThreadedView = new TableModelThreadedView( headerTableModel );
            */

            //headerTable = new HeaderTable( headerTableModel);
            table = new JTreeTable( headerTableModel );
            
            initRenderer();

            table.addTreeSelectionListener( this );


            //headerTable.getTable().addMouseListener( new HeaderTableMouseListener() );


            //addMouseListenerToHeaderInTable();


            /*
            popup  = new JPopupMenu();
            MouseListener popupListener = new PopupListener();
            headerTable.getTable().addMouseListener(popupListener);
            */

            scrollPane = new JScrollPane( table );
            scrollPane.getViewport().setBackground( Color.white );
            scrollPane.setPreferredSize(new Dimension(300, 300));

    }

    public JTree getTree()
    {
        return table.getTree();
    }

    public SubscribeTreeNode getSelectedNode()
    {
        SubscribeTreeNode node = (SubscribeTreeNode) table.getTree().getLastSelectedPathComponent();

        return node;
    }

    public ImapRootFolder getFolder()
    {
        return folder;
    }

   


    /*
    public void toggleThreadedView()
    {
        boolean result = getTableModelThreadedView().isEnabled();
        if ( result ) getTableModelThreadedView().setEnabled( false );
           else getTableModelThreadedView().setEnabled( true );
    }
    */


    public void initRenderer()
    {

    }



        /**
         * returns the table
         * @return the JTable class capsulated by HeaderTable
         */
    public JTable getTable()
        {
                // return JTable from class HeaderTable
            return table;
        }



    public SubscribeHeaderTableModel getHeaderTableModel()
        {
            return headerTableModel;

        }

        /*
    public TableModelSorter getTableModelSorter()
    {
        return tableModelSorter;
    }

    public TableModelThreadedView getTableModelThreadedView()
    {
        return tableModelThreadedView;
    }

    public ManageTableModelFilteredView getTableModelFilteredView()
    {
        return manageTableModelFilteredView;
    }
    */


    /*
    protected void initContextMenu()
        {


            popup.removeAll();

            JMenuItem menuItem;

            menuItem = new JMenuItem("Mark as Read");
                //menuItem.addActionListener(new MainFrameActionListener(frame));
            menuItem.setEnabled(true);

            popup.add(menuItem);

            popup.addSeparator();


        }
        */

        /*
    class PopupListener extends MouseAdapter
    {
        public void mousePressed(MouseEvent e)
            {
                maybeShowPopup(e);
            }

        public void mouseReleased(MouseEvent e)
            {
                maybeShowPopup(e);
            }

        private void maybeShowPopup(MouseEvent e)
            {
                if (e.isPopupTrigger())
                {
                    //initContextMenu();
                    popup.show(e.getComponent(),  e.getX(), e.getY());
                }
            }
    }
    */

    /*
    public Object[] getUids()
    {
        MessageNode[] nodes = getHeaderTable().getSelectedNodes();

        Object[] uids = new Object[ nodes.length ];

        for ( int i=0; i<nodes.length; i++ )
        {
            uids[i] = nodes[i].getUid();
            //System.out.println("uid: "+uids[i] );
        }

        return uids;

    }
    */

    /*
    public MessageNode[] getSelectedNodes()
    {
        return getHeaderTable().getSelectedNodes();
    }
    */

    private class HeaderTableMouseListener extends MouseAdapter
    {

        public HeaderTableMouseListener()
            {
                super();

            }

        public void mousePressed( MouseEvent event )
            {
                if ( event.isPopupTrigger() )
                {
                    System.out.println("popup-menu pressed");
                }
            }


        public void mouseReleased( MouseEvent event )

            {
                if ( event.isPopupTrigger() )
                {
                    System.out.println("pop-menu release");
                }
            }

        public void mouseClicked( MouseEvent event )
            {




                if ( event.getClickCount() == 1 )
                {

                    if ( (event.isControlDown()) || (event.isShiftDown()) || (event.isMetaDown()) )
                    {
                            //System.out.println("selection one-click");

                    } else
                    {
                            //showMessage();
                    }

                }

            }

        private void processDoubleClick()
            {
                System.out.println("double-click");
            }
    }




    /*

    public void updateTable()
    {
        getHeaderTableModel().setMessageCollection( server.getMessageCollection() );
    }

    */

    /*
    public void addMouseListenerToHeaderInTable()
        {
            final JTable tableView = getTable();

            tableView.setColumnSelectionAllowed(false);

            MouseAdapter listMouseListener = new MouseAdapter()
                {
                    public void mouseClicked(MouseEvent e)
                    {
                        System.out.println("mouseclicked");

                        TableColumnModel columnModel = tableView.getColumnModel();
                        int viewColumn = columnModel.getColumnIndexAtX(e.getX());
                        int column = tableView.convertColumnIndexToModel(viewColumn);

                        if (e.getClickCount() == 1 && column != -1)
                        {
                            System.out.println("mouseclicked 1");

                            getTableModelSorter().setSortingColumn( column );

                            updateTable();


                        }
                    }
                };

            JTableHeader th = tableView.getTableHeader();
            th.addMouseListener(listMouseListener);
        }
        */

        public void valueChanged(TreeSelectionEvent e)
        {
            System.out.println("manageheadertableviewer->valueChanged for tree");


            //Object[] uids = getUids();

            /*
            MessageNode node = (MessageNode) getHeaderTable().getSelectedNode();
            if (node == null) return;

            setSelected( node );
            */


            //getActionListener().changeMessageActions();


        }

    public void setFolder( Folder f )
    {
        this.folder = (ImapRootFolder) f;

        //getHeaderTableModel().setFolder( folder );

		/*
        try
        {
        Vector nodeList = folder.getList();
        Vector lsubList = folder.getLSubList();

        getHeaderTableModel().setList( nodeList, lsubList );
        }
        catch ( IOException ex )
        {
            System.out.println( ex.getMessage() );
        }
        */
    }

    public void refresh()
    {	
    	/*
        try
        {
        folder.clearLSubList();

        Vector nodeList = getFolder().getList();
        Vector lsubList = folder.getLSubList();

        getHeaderTableModel().setList( nodeList, lsubList );
        }
        catch ( IOException ex )
        {
            System.out.println( ex.getMessage() );
        }
        */
        
        
        
    }
    
    public void repaintTable()
    {
    	table.repaint();
    }

    public void subscribe()
    {

        try
        {
        SubscribeTreeNode node = getSelectedNode();
        if ( node == null ) return;

        boolean result = folder.subscribe( node.getDirectoryPath() );

        if ( result )
        {
            node.setSubscribeState( true );
            table.repaint();
        }
        }
        catch ( IOException ex )
        {
            System.out.println( ex.getMessage() );
        }

    }

    public void unsubscribe()
    {

        try
        {
        SubscribeTreeNode node = getSelectedNode();
        if ( node == null ) return;

        boolean result = folder.unsubscribe( node.getDirectoryPath() );


        if ( result )
        {
            node.setSubscribeState( false );

            table.repaint();

        }
        }
        catch ( Exception ex )
        {
            System.out.println( ex.getMessage() );
        }

    }

    public void updateImapTree()
    {
        try
        {
            folder.lsub(null);
        }

        catch ( Exception ex )
        {
            System.out.println( ex.getMessage() );
        }
    }


}
