package org.columba.gui.config.subscribe;

import javax.swing.tree.DefaultMutableTreeNode;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author
 * @version 1.0
 */

public class SubscribeTreeNode extends DefaultMutableTreeNode
{
    private boolean subscribe;
    private String name;
    private boolean directory;
    private boolean subfolder;
    private String path;

    public SubscribeTreeNode( String name )
    {
        super( name );
        this.name = name;
        path = name;
        subscribe = false;
        subfolder = false;
        directory = false;
    }

    public void setDirectoryPath( String s )
    {
        path = s;
    }

    public String getDirectoryPath()
    {
        return path;
    }

    public void setDirectory( boolean b )
    {
        directory = b;
    }

    public boolean getDirectory()
    {
        return directory;
    }

    public void setSubFolder( boolean b )
    {
        subfolder = b;
    }

    public boolean getSubFolder()
    {
        return subfolder;
    }


    public void setName( String n )
    {
        name = n;
    }

    public String getName()
    {
        return name;
    }

    public void setSubscribeState( boolean b )
    {
        subscribe = b;
    }

    public boolean getSubscribeState()
    {
        return subscribe;
    }
}