package org.columba.gui.message.action;

import org.columba.gui.message.*;
import org.columba.main.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.text.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author
 * @version 1.0
 */

public class MessageActionListener implements ActionListener
{
    private MainInterface mainInterface;
    private MessageViewer messageViewer;

    public MessageActionListener( MainInterface mainInterface, MessageViewer messageViewer )
    {
        this.mainInterface = mainInterface;
        this.messageViewer = messageViewer;
    }


    public void actionPerformed(ActionEvent e)
    {
	String action  = e.getActionCommand();


        if ( action.equals( mainInterface.globalActionCollection.copyAction.getActionCommand() ) )
        {
            copy();
        }
        else if ( action.equals( mainInterface.globalActionCollection.selectAllAction.getActionCommand() ) )
        {
            selectAll();
        }

    }


    public void copy()
    {
        JTextComponent c = (JTextComponent) messageViewer.getDocumentOperator().getActiveViewer();

        c.copy();
    }

    public void selectAll()
    {
        JTextComponent c = (JTextComponent) messageViewer.getDocumentOperator().getActiveViewer();

        c.selectAll();
    }


}