package org.columba.gui.message.action;


import org.columba.gui.message.*;


import java.awt.*;
import java.awt.event.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author
 * @version 1.0
 */

public class MessagePopupListener extends MouseAdapter
{
    private MessageViewer messageViewer;

    public MessagePopupListener( MessageViewer messageViewer )
    {
        this.messageViewer = messageViewer;
    }


        public void mousePressed(MouseEvent e)
            {
                maybeShowPopup(e);
            }

        public void mouseReleased(MouseEvent e)
            {
                maybeShowPopup(e);
            }

        private void maybeShowPopup(MouseEvent e)
            {
                if (e.isPopupTrigger())
                {
                    java.awt.Point point = e.getPoint();

                    if ( messageViewer.getDocumentOperator().isAdvancedViewActive() )
                    {
                        HyperlinkTextViewer viewer = (HyperlinkTextViewer) messageViewer.getDocumentOperator().getViewer( DocumentOperator.ADVANCED                        );
                        int pos = viewer.viewToModel( point );

                        if ( !viewer.isLink( pos ) )
                           messageViewer.getPopupMenu().show(e.getComponent(),  e.getX(), e.getY());
                    }
                }
            }


}