package org.columba.gui.themes.contrastcolumba;

import javax.swing.*;
import java.awt.*;
import javax.swing.plaf.*;
import javax.swing.plaf.metal.*;
import org.columba.gui.util.*;

import javax.swing.border.*;


public class ContrastColumbaMenuBarBorder
	extends AbstractBorder
	implements UIResource
{
	protected static Insets borderInsets = new Insets(2, 2, 2, 2);

	protected static Color darkShadow = Color.black;
	protected static Color lightShadow = MetalLookAndFeel.getControlHighlight();
	protected static Color mediumShadow = MetalLookAndFeel.getControlDarkShadow();

	public ContrastColumbaMenuBarBorder()
	{

	}

	public void paintBorder(Component c, Graphics g, int x, int y, int w, int h) {
	    ContrastColumbaGraphicUtils.drawBorder(g, x, y, w, h,
					lightShadow, mediumShadow, darkShadow,
					true);
        }
        
	public Insets getBorderInsets(Component c)
	{
		return borderInsets;
	}

}










