package org.columba.gui.themes.contrastcolumba;

import javax.swing.*;
import java.awt.*;
import javax.swing.plaf.*;
import javax.swing.plaf.metal.*;

import javax.swing.border.*;



public class ContrastColumbaMessageHeaderBorder extends AbstractBorder implements UIResource
{

    private static final Insets insets = new Insets(4, 4, 2, 2);
    
    public void paintBorder(Component c, Graphics g, int x, int y,
                            int w, int h)
    {


            g.translate( x, y);

            g.setColor( MetalLookAndFeel.getControlDarkShadow() );
            g.drawLine( 0,0,0, h-1 );
            g.drawLine( 0,0,w-1,0 );
            
            g.setColor( Color.black );
            g.drawLine( 1,1,1, h-1 );
            g.drawLine( 1,1,w-1,1 );

            g.setColor( MetalLookAndFeel.getControl() );
            g.drawLine( 2,2,2, h-1 );
            g.drawLine( 2,2,w-1,2 );
            
            g.setColor( MetalLookAndFeel.getControlHighlight() );
            g.drawLine( 3,3,3, h-1 );
            g.drawLine( 3,3,w-1,3 );
            
            g.translate( -x, -y);

            
    }
    
    public Insets getBorderInsets( Component c )
    {
        return insets;
    }
   


    
}
