package org.columba.gui.themes.contrastcolumba;


import javax.swing.plaf.metal.*;

import javax.swing.*;
import javax.swing.plaf.*;
import javax.swing.plaf.basic.*;

/**
 * Metal split pane.
 * <p>
 * <strong>Warning:</strong>
 * Serialized objects of this class will not be compatible with
 * future Swing releases.  The current serialization support is appropriate
 * for short term storage or RMI between applications running the same
 * version of Swing.  A future release of Swing will provide support for
 * long term persistence.
 *
 * @version 1.6 02/02/00
 * @author Steve Wilson
 */
public class ContrastColumbaSplitPaneUI extends MetalSplitPaneUI
{


    /**
      * Creates a new MetalSplitPaneUI instance
      */
    
    public static ComponentUI createUI(JComponent x) {
	return new ContrastColumbaSplitPaneUI();
    }

    /**
      * Creates the default divider.
      */
    public BasicSplitPaneDivider createDefaultDivider() {
	return new ContrastColumbaSplitPaneDivider(this);
    }
}
