package org.columba.gui.themes.thincolumba;

import javax.swing.*;
import java.awt.*;
import javax.swing.plaf.*;
import javax.swing.plaf.metal.*;

import javax.swing.border.*;



public class ThinColumbaMessageHeaderBorder extends AbstractBorder implements UIResource
{

    private static final Insets insets = new Insets(2, 2, 2, 2);
    
    public void paintBorder(Component c, Graphics g, int x, int y,
                            int w, int h)
    {


            g.translate( x, y);

            g.setColor( MetalLookAndFeel.getControlDarkShadow() );
            g.drawLine( 0,0,0, h-1 );
            g.drawLine( 0,0,w-1,0 );
            
            g.setColor( MetalLookAndFeel.getControlHighlight() );
            g.drawLine( 1,1,1, h-2 );
            g.drawLine( 1,1,w-2,1 );
                       
            g.translate( -x, -y);

            
    }
    
    public Insets getBorderInsets( Component c )
    {
        return insets;
    }
   


    
}
