package org.columba.gui.themes.thincolumba;

import javax.swing.*;
import java.awt.*;
import javax.swing.plaf.*;
import javax.swing.plaf.metal.*;

import javax.swing.border.*;



public class ThinColumbaTextFieldBorder extends AbstractBorder implements UIResource
{

       private static final Insets insets = new Insets(1, 1, 2, 2);

        public void paintBorder(Component c, Graphics g, int x, int y,
			  int w, int h) {

            JTextField tf = (JTextField) c;
            
            g.translate( x, y);

            g.setColor( MetalLookAndFeel.getControlDarkShadow() );
            g.drawLine( 0,0,0, h-1 );
            g.drawLine( 0,0,w-1,0 );
            
            g.setColor( MetalLookAndFeel.getControlHighlight() );
            g.drawLine( 0, h-1, w-1, h-1 );
            g.drawLine( w-1, 0, w-1, h-1 );
              //g.drawLine( 0, h, w, h );
              //g.drawLine( w, 0, w, h );
            
                        
            g.setColor( MetalLookAndFeel.getControl() );
            
            g.translate( -x, -y);

            
        }

        public Insets getBorderInsets(Component c)       {
            return insets;
        }
    }
