package org.columba.gui.util;

import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;
/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author
 * @version 1.0
 */

public class MultiLineLabel extends JTextArea
{

    public MultiLineLabel( String s )
    {
        super( s );

        //setBorder( UIManager.getBorder( "Label.border" ) );
        //setBorder( BorderFactory.createEmptyBorder( 5,5,5,5 ) );
        
        setEditable( false );
        setBackground( UIManager.getColor( "Label.background" ) );
        setFont( UIManager.getFont( "Label.font") );
        setWrapStyleWord( true );

    }

    public MultiLineLabel( String[] s )
    {
        StringBuffer buf = new StringBuffer();

        for ( int i=0; i<s.length; i++ )
        {
            buf.append( s[i] );
        }

        setText( buf.toString() );
        setBorder( BorderFactory.createEmptyBorder( 10,10,10,10 ) );
        setEditable( false );
        setBackground( UIManager.getColor( "Label.background" ) );
        setFont( UIManager.getFont( "Label.font") );
        setWrapStyleWord( true );
    }




}