// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

package org.columba.gui.util;

import java.util.*;
/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author
 * @version 1.0
 */

public class ResourceLoader
{
	private static Hashtable hashTable;
	private static Locale currentLocale;

	public ResourceLoader()
	{
		hashTable = new Hashtable();

		currentLocale = Locale.getDefault();
		
	}

	/*
	public static ResourceBundle getResource(String id)
	{
		if (hashTable.containsKey(id) == false)
		{
			ResourceBundle bundle = ResourceBundle.getBundle(id, currentLocale);
			hashTable.put(id, bundle);

			return bundle;
		}
		else
		{
			return (ResourceBundle) hashTable.get(id);
		}
	}
	*/

	public static String getString(String bundle, String id)
	{
		
		
		if (hashTable.containsKey("org/columba/i18n/"+bundle) == false)
		{
			ResourceBundle rbundle = ResourceBundle.getBundle("org/columba/i18n/"+bundle, currentLocale);
			hashTable.put("org/columba/i18n/"+bundle, rbundle);
			

		}

		ResourceBundle b = (ResourceBundle) hashTable.get("org/columba/i18n/"+bundle);

		try
		{
			String str = b.getString(id);
			
			return str;
		}
		catch (Exception ex)
		{
			ResourceBundle b2 = (ResourceBundle) hashTable.get("org/columba/i18n/"+bundle+"/global");

			try
			{
				String str2 = b2.getString(id);
				return str2;
			}
			catch (Exception ex2)
			{
				return new String("FIXME");
			}

		}

	}

}