/*
 * (c) Copyright 2001 MyCorporation.
 * All Rights Reserved.
 */
package org.columba.gui.util;

import javax.swing.*;
import java.awt.*;

/**
 * @version 	1.0
 * @author
 */
public class WizardTextField extends JPanel {
	private JTextField textField;
	private JLabel label;
	private JLabel example;
	private GridBagLayout layout;
	private int y = 0;

	public WizardTextField() {
		layout = new GridBagLayout();
		setLayout(layout);
	}

	public void addLabel(JLabel label) {
		GridBagConstraints c = new GridBagConstraints();

		c.gridx = 0;
		c.gridy = y;
		c.weightx = 0.0;
		c.anchor = GridBagConstraints.NORTHWEST;
		c.insets = new Insets(0, 0, 0, 20);
		layout.setConstraints(label, c);
		add(label);
	}

	public void addTextField(JComponent component) {
		GridBagConstraints c = new GridBagConstraints();

		c.gridx = 1;
		c.weightx = 1.0;
		c.gridy = y;
		c.fill = GridBagConstraints.HORIZONTAL;
		c.insets = new Insets(0, 0, 0, 0);
		c.anchor = GridBagConstraints.NORTHEAST;
		c.gridwidth = GridBagConstraints.REMAINDER;
		layout.setConstraints(component, c);
		add(component);
	}

	public void addExample(JLabel example) {
		y += 1;
		GridBagConstraints c = new GridBagConstraints();

		c.gridx = 1;

		c.gridy = y;
		c.weightx = 0.0;
		c.insets = new Insets(0, 10, 10, 0);
		c.anchor = GridBagConstraints.NORTHWEST;
		c.fill = GridBagConstraints.NONE;
		layout.setConstraints(example, c);
		add(example);

		y += 1;

	}
	
	public void addEmptyExample() {
		y += 2;
		
	}
}