// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


package org.columba.message;


import org.columba.folder.*;



public class VirtualMessage extends Message
{
    protected Folder parentFolder;
    protected Object parentUid;
    protected int parentIndex;


    public VirtualMessage()
        {
            super();
        }

    public VirtualMessage( Folder f, Object uid, int index)
        {
            super();
            parentFolder = f;
            parentUid = uid;
            parentIndex = index;
        }

    public void setParentIndex( int i )
    {
        parentIndex = i;
    }

    public int getParentIndex()
    {
        return parentIndex;
    }

    public void decParentIndex()
    {
        parentIndex--;
    }


    public void setParentUID( Object i)
    {
        parentUid = i;

    }

    public Object getParentUID()
    {
        return parentUid;
    }



    public void setParentFolder( Folder f )
    {
        parentFolder = f;
    }

    public Folder getParentFolder()
    {
        return parentFolder;
    }




    public Object clone()
    {
        Message message = new Message();

        message.setHeader(  (ColumbaHeader) header.clone() );
        /*
        message.setUID( getUID() );
        message.setSize( getSize() );
        message.setShortFrom( getShortFrom() );
        message.setDate( getDate() );
        message.setAttachment( getAttachment() );
        message.setPriority( getPriority() );
        */

        //message.setFlags( (Flags) getFlags().clone() );


        return message;
    }




}
