// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


/** Document the purpose of this class.
 *
 * @version 1.0
 * @author Timo Stich
 */

package org.columba.parser;

import org.columba.message.*;
import org.columba.main.MainInterface;


public class MimeTypeParser
{
    protected MainInterface mainInterface;
    protected Rfc822Header rfc822Header;
    protected int action;

    static public final int PARSE_MESSAGE = 0;
    static public final int SHOW_MESSAGE = 1;

    public MimePartCollection parse( MimeHeader header, String input )
    {
        return null;
    }

    public void setMainInterface( MainInterface mainInterface )
    {
        this.mainInterface = mainInterface;
    }

    public void setHeader( Rfc822Header h )
    {
        this.rfc822Header = h;
    }

    public void setAction( int i )
    {
        this.action = i;
    }

}
