package org.columba.pop3;


import org.columba.main.MainInterface;
import org.columba.folder.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author
 * @version 1.0
 */

public class CheckWorker extends AuthenticateWorker {

    protected int totalMessages=-1;

    protected UIDList uids;

    public void init( Operator root, Operation op )
    {
        super.init( root, op);
    }
      

    public void check() throws Exception
    {
        if ( getCancel() == false )
        {
            setText( popServer.getFolderName()+" : Check for new messages..." );
            
            //System.out.println("check for new messages");
            
            startTimer();

            totalMessages = pop3Connection.getTotalMessages();

            stopTimer();
        }
    }

    public Object construct()
    {
        try
        {
            openPort();

            login();

            check();

            logout();
        }
        catch ( Exception ex )
        {
            ex.printStackTrace();
        }

        unregister();
	return null;
    }
}
