// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


package org.columba.folder;

public class Command
{
    private static final int COPY = 0x00000;
    private static final int MOVE = 0x00001;
    private static final int DELETE = 0x00002;

    private static final int C_COPY = 0x00000;
    private static final int C_CUT = 0x00001;
    private static final int C_PASTE = 0x00002;

    private static final int MARK_READ = 0x00004;
    private static final int MARK_FLAGGED = 0x00005;
    private static final int MARK_EXPUNGED = 0x00006;
    private static final int MARK_ANSWERED = 0x00007;

    private static final int SEND_MESSAGE = 0x00008;
    private static final int RECEIVE_MESSAGE = 0x00008;

    private static final int APPLY_FILTER = 0x00008;    
    
    public Command()
    {}


}
