// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

package org.columba.folder;
import org.columba.gui.composer.*;
/**
 * @version 	1.0
 * @author
 */
public class ComposerOperation extends Operation
{
	public Object uid;
	public Channel channel;
	public Folder source;
	public ComposerFrame frame;

	public ComposerOperation(int mode, int priority, Folder source, Object uid)
	{
		type = Operation.COMPOSER;

		this.mode = mode;
		this.priority = priority;

		this.source = source;
		this.uid = uid;
	}

	public ComposerOperation(int mode, int priority, Channel channel)
	{
		type = Operation.COMPOSER;

		this.mode = mode;
		this.priority = priority;

		this.channel = channel;

	}
	
	public ComposerOperation(int mode, int priority, ComposerFrame frame)
	{
		type = Operation.COMPOSER;

		this.mode = mode;
		this.priority = priority;

		this.frame = frame;

	}

	public ComposerOperation(
		int mode,
		int priority,
		Folder source,
		Object uid,
		Channel channel)
	{
		type = Operation.COMPOSER;

		this.mode = mode;
		this.priority = priority;

		this.source = source;
		this.uid = uid;
		this.channel = channel;
	}

}