// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


package org.columba.folder;

public class OutboxOperation extends Operation
{
    public Object[] uidList;
    public Folder source;

    public OutboxOperation( int mode, int priority, Object[] uidList, Folder source )
    {
	type = Operation.SMTP;

	this.priority = priority;
        this.mode = mode;
	this.source = source;
	this.uidList = uidList;
    }

    public OutboxOperation( int mode, Object[] uidList )
    {
	type = Operation.SMTP;

        this.mode = mode;
	this.uidList = uidList;
    }

    public OutboxOperation( int mode )
    {
	type = Operation.SMTP;
	this.mode = mode;
    }


}
