// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


package org.columba.folder;


import org.columba.message.*;
import org.columba.filter.*;
import org.columba.main.*;
import org.columba.gui.tree.util.*;
import org.columba.config.*;


import java.io.File;

public class RemoteFolder extends Folder
{
    private MainInterface mainInterface;
    protected File directoryFile; // directory


    public RemoteFolder( AdapterNode node, FolderItem item,  MainInterface mainInterface )
        {
            super( node, item );
            this.mainInterface = mainInterface;


              //directoryFile = v.getFile( mainInterface.config.configDirectory );
            String dir = mainInterface.config.configDirectory + "/" + new Integer( uid ).toString();
            directoryFile = new File( dir);

            if ( !directoryFile.exists() )
            {
                boolean success = directoryFile.mkdirs();
                if ( success )
                    System.out.println("created directory successfully: "+ directoryFile.toString() );
                else
                    System.out.println("failed while trying to create directory: "+ directoryFile.toString() );
            }

        }



}
