package org.columba.folder.encryption;

import org.columba.gui.message.*;
import org.columba.gui.attachment.*;
import org.columba.folder.*;
import org.columba.folder.temp.*;
import org.columba.main.MainInterface;
/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author
 * @version 1.0
 */

public class EncryptionOperator extends Operator
{
    public TempFolder tempFolder;

    public EncryptionOperator( MainInterface mainInterface )
    {
        super( mainInterface );

        maxOut = 1; // Only 1 Thread parallel

        tempFolder = new TempFolder( mainInterface );

        // WorkerTable

	try {
	workerTable.put( new Integer( 0x0800 ), Class.forName( "org.columba.folder.encryption.EncryptionWorker" ));

	}
	catch( ClassNotFoundException e )
	{
	    System.out.println( e );
	}
    }


    public MessageViewer getMessageViewer()
    {
	return mainInterface.messageViewer;
    }

    public AttachmentViewer getAttachmentViewer()
    {
	return mainInterface.attachmentViewer;
    }

}
