// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


package org.columba.gui.action;

import javax.swing.Action;
import javax.swing.KeyStroke;
//import javax.swing.*;
import javax.swing.ImageIcon;


public class BasicAction extends JAbstractAction
{
    public BasicAction()
    {
	super();

    }

    public BasicAction( String name,
			String longDescription,
			String actionCommand,
			ImageIcon small_icon,
			ImageIcon big_icon,
			int mnemonic,
			KeyStroke keyStroke)

    {
	super();
	putValue(Action.NAME, name );
	putValue(Action.LONG_DESCRIPTION, longDescription );
	putValue(Action.SMALL_ICON,small_icon );
	LARGE_ICON = big_icon ;

	putValue(Action.SHORT_DESCRIPTION, longDescription );
	putValue(Action.ACTION_COMMAND_KEY, actionCommand );
	putValue(Action.ACCELERATOR_KEY , keyStroke );
	putValue(Action.MNEMONIC_KEY , new Integer(mnemonic) );

        // FIXME
        //putValue(Action.SMALL_ICON, null );
    }

    public BasicAction( String name,
			String tname,
			String longDescription,
			String actionCommand,
			ImageIcon small_icon,
			ImageIcon big_icon,
			int mnemonic,
			KeyStroke keyStroke)

    {
	super();
	putValue(Action.NAME, name );
	putValue(Action.LONG_DESCRIPTION, longDescription );
	putValue(Action.SHORT_DESCRIPTION, longDescription );
	putValue(Action.SMALL_ICON, small_icon );
	LARGE_ICON = big_icon ;


	//putValue(Action.LARGE_ICON, getIcon(big_icon) );
	putValue(Action.ACTION_COMMAND_KEY, actionCommand );
	putValue(Action.ACCELERATOR_KEY , keyStroke );
	putValue(Action.MNEMONIC_KEY , new Integer(mnemonic) );

        TOOLBAR_NAME = tname;


        // FIXME
        //putValue(Action.SMALL_ICON, null );
    }
}


