// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


package org.columba.gui.addressbook.util;


import javax.swing.tree.*;

import org.columba.config.*;
import org.columba.message.*;
import org.columba.folder.*;




public class AddressbookTreeNode extends DefaultMutableTreeNode
{
    private String name;
    private AdapterNode node;
    
    public AddressbookTreeNode( AdapterNode node , String name )
    {
        super( name );
        this.node = node;
        this.name = name;
    }

    public void setNode( AdapterNode node )
    {
        this.node = node;
    }

    public AdapterNode getNode()
    {
        return node;
    }
    
    
    public void setName( String s )
    {
        name = s;
    }
    
        
    public String getName()
    {
        return name;
    }

    
    public void remove()
    {
          /*
        removeNode();
        AddressbookTreeNode parent = (AddressbookTreeNode) getParent();
        parent.remove( this );
          */
    }
    

    public void removeNode()
    {
          /*
        boolean result = node.domNode.getParentNode().hasChildNodes();
        
        if ( result )
            node.domNode.getParentNode().removeChild( node.domNode );
          */
    }

    
}






