// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

package org.columba.gui.config.account;

import javax.swing.*;
import javax.swing.border.*;

import javax.swing.Box;
import java.awt.*;

import org.columba.config.*;
import org.columba.gui.util.*;
import org.columba.main.MainInterface;

public class DefaultPanel extends JPanel {

	protected MainInterface mainInterface;

	public DefaultPanel(MainInterface mainInterface) {
		this.mainInterface = mainInterface;
	}

	protected void updateComponents(boolean b) {
		if (b) {
		} else {
		}
	}

	protected void initComponents() {
	}

	public boolean isFinished() {
		return false;
	}

	public boolean save(boolean newAccount) {
		boolean result = isFinished();

		if (result) {
			updateComponents(false);

			makeChanges(newAccount);

		}

		return result;
	}

	protected void makeChanges(boolean newAccount) {
	}

}