package org.columba.gui.config.subscribe;


import org.columba.gui.header.treetable.*;
import org.columba.folder.*;


import javax.swing.tree.DefaultMutableTreeNode;
import java.util.Vector;
/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author
 * @version 1.0
 */

public class SubscribeHeaderTableModel extends AbstractTreeTableModel
{
    protected boolean mutex;


    //DefaultMutableTreeNode rootNode = new DefaultMutableTreeNode("rootnode");;

    //private HeaderTableItem item;


    //private Folder folder;

    //private MessageCollection messageCollection;


    private SubscribeTreeNode root;

    //private MessageNode selectedMessageNode;

    //protected EventListenerList listenerList = new EventListenerList();

    //private Vector tableModelPlugins;

    private String[] columnNames = { "Name", "Subscribe" };

    private Folder folder;

    public SubscribeHeaderTableModel()
    {

        //tableModelPlugins = new Vector();

	root = new SubscribeTreeNode( "root");
	super.setRoot( root );


        mutex = false;
    }


    public void nodeChanged( SubscribeTreeNode node )
    {
        nodeChanged( node );
    }

    public void addTreeNodes( SubscribeTreeNode node, Vector v, Vector lsubList )
    {
        System.out.println("addtreenodes");

        if ( node.getChildCount() == 0 )
        {
        for ( int i=0; i<v.size(); i++ )
            {
                SubscribeTreeNode child = (SubscribeTreeNode) v.get(i);
                String path = child.getDirectoryPath();
                String childName = child.getName();

                for ( int j=0; j<lsubList.size(); j++ )
                {
                    String name = (String) lsubList.get(j);

                    if  ( path.equalsIgnoreCase( name ) )
                    {
                        child.setSubscribeState( true );
                    }
                }

                insertNodeInto( child, node, node.getChildCount() );
            }

            //nodeStructureChanged( root );
        }
    }

    public void setList( Vector v, Vector lsubList )
    {
        root.removeAllChildren();

        for ( int i=0; i<v.size(); i++ )
            {
                SubscribeTreeNode node = (SubscribeTreeNode) v.get(i);
                String path = node.getDirectoryPath();

                for ( int j=0; j<lsubList.size(); j++ )
                {
                    String name = (String) lsubList.get(j);

                    if ( path.equalsIgnoreCase( name ) )
                        node.setSubscribeState( true );

                    /*
                    if ( name.indexOf("/") != -1 )
                    {
                        String lastName = name.substring( name.indexOf("/")+1, name.length() );
                        lastName = lastName.trim();

                        if ( name.equalsIgnoreCase( node.getName() ) )
                           node.setSubscribeState( true );
                    }
                    else
                    {
                        if ( name.equalsIgnoreCase( node.getName() ) )
                           node.setSubscribeState( true );
                    }
                    */


                }
                root.add( node );
            }

        nodeStructureChanged( root );
    }

    public void setFolder( Folder folder )
    {
        this.folder = folder;

        System.out.println("headerTableModel->setFolder");



	root.removeAllChildren();



        if ( folder == null )
           {
              System.out.println("folder is null");
              return;
           }



           /*

        boolean result = getTableModelFilteredView().manipulateModel( TableModelPlugin.STRUCTURE_CHANGE );

        if ( result == false )
        {
            for ( int i=0; i<folder.count(); i++ )
	    {
		Message message = folder.get(i);
		Rfc822Header header = message.getHeader();
                Object uid = folder.getUid(i);
		String subject = (String) header.get("Subject");

		//System.out.println("subject("+i+"): " +subject );

		MessageNode child = new MessageNode( message, uid );

		//child.setUserObject( message );
		root.add( child );
	    }
        }

        getTableModelThreadedView().manipulateModel( TableModelPlugin.STRUCTURE_CHANGE );

        getTableModelSorter().manipulateModel( TableModelPlugin.STRUCTURE_CHANGE );
        */



        //System.out.println("folder count: "+ folder.count() );





        nodeStructureChanged( root );
    }

    /*
    private synchronized void getMutex()
    {
        while( mutex ) {
            try {
                wait();
            }
            catch( InterruptedException e )
            {
            }
        }

        mutex = true;
    }



    private synchronized void releaseMutex()
    {
        mutex = false;
        notify();
    }
    */

    /*
    public void registerPlugin( TableModelPlugin plugin )
    {
        tableModelPlugins.add( plugin );
    }

    public Folder getFolder()
    {
        return folder;
    }

    public MessageCollection getMessageCollection()
    {
        return messageCollection;
    }
    */


    public SubscribeTreeNode getRootNode()
    {
        return root;
    }

    /*
    public void fireTreeNodesChanged()
    {
        MessageNode rootNode = getRootNode();
        Vector v = rootNode.getVector();
        Object o[] = v.toArray();

        fireTreeNodesChanged( new TreeModelEvent( this, o ) );

    }
    */


    /*
     public void fireTreeStructureChanged()
    {


        int[] indices = new int[1];
            indices[0]= 0;

            Object[] children = new Object[1];
            children[0] = getRootNode() ;


            TreePath[] path = new TreePath[1];
            path[0] = new TreePath( getRootNode() );


        fireTreeStructureChanged( this, path, indices, children );

    }
    */


    /*
    public int getIndex( Object uid )
    {
        for ( int i=0; i<getRootNode().getChildCount(); i++ )
        {
            MessageNode node = (MessageNode) getRootNode().getChildAt(i);
            Object childUid = node.getUid();

            if ( childUid.equals( uid ) ) return i;
        }

        return -1;
    }
    */

    /*
    public void update()
    {



    }
    */

    /*
    public Object getUid( int row )
    {
        Object uid;

        MessageNode child = (MessageNode) getRootNode().getChildAt( row );
        if ( child == null ) return null;

        uid = child.getUid();

        return uid;
    }
    */


    /*
    public MessageNode getMessageNode( int row, JTree tree )
    {
        if ( getRootNode().isLeaf() ) return null;

        MessageNode child;
        if ( getTableModelThreadedView().isEnabled() == true )
        {
            child = (MessageNode) getTableModelThreadedView().getChildAtRow( row, tree );
        }
        else
            child = (MessageNode) getRootNode().getChildAt( row );

        return child;
    }
    */

    /*
    public MessageNode getSelectedMessageNode()
    {
        return selectedMessageNode;
    }

    public void setSelectedMessageNode( MessageNode node )
    {
        selectedMessageNode = node;
    }
    */


    /*
    public void addMessage()
    {


        //System.out.println("headertablemodel->addMessage()");

        int count;
        if ( folder != null )
           count = folder.count();
        else
           count = messageCollection.count();

        //System.out.println("folder count: "+ count );

        if ( count <= 1 )
        {
            System.out.println("------------------> first message");
            setFolder( getFolder() );


            return;
        }

        Message message;
        if ( folder != null )
           message = folder.get( count-1 );
        else
           message = messageCollection.get( count-1 );


        MessageNode node = new MessageNode( message, message.getUID() );
        setSelectedMessageNode( node );



        boolean result = getTableModelFilteredView().manipulateModel( TableModelPlugin.NODES_INSERTED );

        if ( result == true )
        {
            boolean result2 = getTableModelThreadedView().manipulateModel( TableModelPlugin.NODES_INSERTED );

            if ( result2 == true )
            {

            }
            else
            {
                int index = getTableModelSorter().getInsertionSortIndex( node );

                insertNodeInto( node, getRootNode(), index );

            }
        }

    }
    */

    /*
    public TreeNode[] getPathToRoot(TreeNode aNode, int depth)
    {

        TreeNode[] nodes = super.getPathToRoot( aNode, depth );

        return nodes;
    }
    */


    /*

    public TableModelFilteredView getTableModelFilteredView()
    {
        return (TableModelFilteredView) tableModelPlugins.get(0);
    }

    public TableModelThreadedView getTableModelThreadedView()
    {
        return ( TableModelThreadedView) tableModelPlugins.get(1);
    }

    public TableModelSorter getTableModelSorter()
    {
        return (TableModelSorter) tableModelPlugins.get(2);
    }
    */

    /*
    public void setFolder( Folder folder )
    {
	this.folder = folder;

        //System.out.println("headerTableModel->setFolder");



	root.removeAllChildren();



        if ( folder == null )
           {
              System.out.println("folder is null");
              return;
           }



        boolean result = getTableModelFilteredView().manipulateModel( TableModelPlugin.STRUCTURE_CHANGE );

        if ( result == false )
        {
            for ( int i=0; i<folder.count(); i++ )
	    {
		Message message = folder.get(i);
		Rfc822Header header = message.getHeader();
                Object uid = folder.getUid(i);
		String subject = (String) header.get("Subject");

		//System.out.println("subject("+i+"): " +subject );

		MessageNode child = new MessageNode( message, uid );

		//child.setUserObject( message );
		root.add( child );
	    }
        }

        getTableModelThreadedView().manipulateModel( TableModelPlugin.STRUCTURE_CHANGE );

        getTableModelSorter().manipulateModel( TableModelPlugin.STRUCTURE_CHANGE );




        //System.out.println("folder count: "+ folder.count() );





        nodeStructureChanged( root );

    }
    */


    /*
    public void setMessageCollection( MessageCollection mc )
    {
        this.messageCollection = mc;

        System.out.println("headerTableModel->setMessagecollection");

        root.removeAllChildren();

        if ( messageCollection == null )
        {
            System.out.println("messagecollection is null");
            return;
        }

        boolean result = getTableModelFilteredView().manipulateModel( TableModelPlugin.STRUCTURE_CHANGE );

        if ( result == false )
        {
            for ( int i=0; i<messageCollection.count(); i++ )
	    {
		Message message = messageCollection.get(i);
		Rfc822Header header = message.getHeader();
                Object uid = message.getUID();
		//String subject = (String) header.get("Subject");

		//System.out.println("subject("+i+"): " +subject );

		MessageNode child = new MessageNode( message, uid );

		//child.setUserObject( message );
		root.add( child );
	    }
        }

        getTableModelThreadedView().manipulateModel( TableModelPlugin.STRUCTURE_CHANGE );

        getTableModelSorter().manipulateModel( TableModelPlugin.STRUCTURE_CHANGE );




         System.out.println("mc count: "+ messageCollection.count() );





        nodeStructureChanged( root );



    }
    */




    /***************************** treemodel interface ********************************/

    //
    // The TreeModel interface
    //

    /**
     * Returns the number of children of <code>node</code>.
     */
    public int getChildCount(Object node)
    {


	DefaultMutableTreeNode treeNode = (DefaultMutableTreeNode) node;


	int count = treeNode.getChildCount();

	return count;
    }

    /**
     * Returns the child of <code>node</code> at index <code>i</code>.
     */
    public Object getChild(Object node, int i)
    {

	DefaultMutableTreeNode treeNode = (DefaultMutableTreeNode) node;

	DefaultMutableTreeNode child = (DefaultMutableTreeNode) treeNode.getChildAt(i);

        return child;
    }

    /**
     * Returns true if the passed in object represents a leaf, false
     * otherwise.
     */
    public boolean isLeaf(Object node)
    {
	SubscribeTreeNode treeNode = (SubscribeTreeNode) node;

        if ( treeNode == getRootNode() ) return false;

        boolean directory = !treeNode.getDirectory();


	return directory;
    }



    /**************************** treetablenode interface ******************************/
    //
    //  The TreeTableNode interface.
    //




    /**
     * Returns the number of columns.
     */
    public int getColumnCount() {
	return columnNames.length;
    }

    /**
     * Returns the name for a particular column.
     */
    public String getColumnName(int column) {
	return columnNames[column];
    }

    public int getColumnNumber( String name )
    {
        for ( int i=0; i<getColumnCount(); i++)
        {
            if ( name.equals( getColumnName( i ) ) )
            return i;
        }

        return -1;
    }

    /**
     * Returns the class for the particular column.
     */
    public Class getColumnClass(int column)
    {

	//return getValueAt( getRoot() , column).getClass();

	//return cTypes[column];

	String name = getColumnName( column );


	if ( name.equalsIgnoreCase("Name") )
	{
	    return TreeTableModel.class;
	}
	else if ( name.equalsIgnoreCase("Subscribe") )
	{
	    return Boolean.class;
	}
	else return String.class;
    }

    /**
     * Returns the value of the particular column.
     */
    public Object getValueAt(Object node, int col)
    {
	SubscribeTreeNode treeNode = (SubscribeTreeNode) node;

        /*
	if ( treeNode.getUserObject() instanceof String ) return new String("rootNode");
	else
	    {
		//System.out.println("found message instance");

		 treeNode = (String) treeNode.getUserObject();
		if ( message == null ) return "";
            }
        */




	String column = getColumnName( col );


        //Message message = folder.get( row );
        //if ( message == null ) return "";



        if ( column.equals("Name") )
        {
            return new Boolean( treeNode.getName() );
        }
        else if ( column.equals("Subscribe") )
        {

            return new Boolean( treeNode.getSubscribeState() );
        }
        else
            return new String("");


    }





}