package org.columba.gui.header.action;


import org.columba.gui.header.*;

import java.awt.*;
import java.awt.event.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author
 * @version 1.0
 */

public class HeaderTableMouseListener extends MouseAdapter
{
    private HeaderTableViewer headerTableViewer;

    public HeaderTableMouseListener( HeaderTableViewer headerTableViewer )
    {
        super();

        this.headerTableViewer = headerTableViewer;
    }

    public void mousePressed( MouseEvent event )
    {

        if ( event.isPopupTrigger() )
        {
            Object uids[] = headerTableViewer.getUids();
            if ( uids.length > 1 )
            {
            }
            else
            {
                headerTableViewer.getHeaderTable().getTable().clearSelection();
                java.awt.Point point = event.getPoint();
                int row = headerTableViewer.getHeaderTable().getTable().rowAtPoint( point );
                headerTableViewer.getHeaderTable().getTable().addRowSelectionInterval( row, row );
            }

            headerTableViewer.getPopupMenu().show(event.getComponent(),  event.getX(), event.getY());
        }
        else
        {
        	//headerTableViewer.clearMessageNodeList();
        }

    }


    public void mouseReleased( MouseEvent event )
    {

        if ( event.isPopupTrigger() )
        {
            Object uids[] = headerTableViewer.getUids();
            if ( uids.length > 1 )
            {
            }
            else
            {
                headerTableViewer.getHeaderTable().getTable().clearSelection();
                java.awt.Point point = event.getPoint();
                int row = headerTableViewer.getHeaderTable().getTable().rowAtPoint( point );
                headerTableViewer.getHeaderTable().getTable().addRowSelectionInterval( row, row );
            }

            headerTableViewer.getPopupMenu().show(event.getComponent(),  event.getX(), event.getY());
        }
        else
        {
        	//headerTableViewer.clearMessageNodeList();
        }

    }

    public void mouseClicked( MouseEvent event )
    {

        if ( (  !event.isAltDown() ) && (  !event.isControlDown() ) &&
             (  !event.isMetaDown() ) && (  !event.isShiftDown() ) )
		{
			//headerTableViewer.clearMessageNodeList();
			
             headerTableViewer.showMessage();
		}

    }



    private void processDoubleClick()
    {

    }
}


