// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


package org.columba.gui.header.util;

import org.columba.message.*;
import org.columba.config.*;
import org.columba.folder.*;
import org.columba.gui.header.treetable.*;

import org.columba.gui.header.*;
import javax.swing.JTable;

import javax.swing.table.*; 
import javax.swing.event.*;

import java.util.*;

import java.awt.event.*;

import java.text.Collator;


public class CTableModel extends AbstractTableModel
{
     
//    protected MessageCollection messageCollection;
    protected Folder folder;
    protected HeaderTableItem columnNames;
        
    
    public CTableModel( HeaderTableItem c )
        {
            this.columnNames = c;
            
//            messageCollection = null;
        }


    public void setFolder( Folder f )
    {
        folder = f;
//        if ( f != null )
//            setMessageCollection( f.getMessageCollection() );
    }

    public Folder getFolder()
    {
        return folder;
    }
    

/*    
    public MessageCollection getMessageCollection()
    {
        return messageCollection;
    }

        
    public void setMessageCollection( MessageCollection mc )
    {
        messageCollection = mc;
    }
*/       
    
    public int getColumnCount()
    {
        return columnNames.count();
    }
    
    public int getRowCount()
    {
        return folder.count();
    }
    
    public String getColumnName(int col)
    {
        String s = (String) columnNames.getName( col );
            
        return s;
    }

      /*
        public boolean columnExists(String str)
        {
        for ( int i=0; i<getColumnCount(); i++)
        {
        if ( str.equals( getColumnName(i) ) )
        {
        return true;
        }
        }
        return false;
        }
      */
    
    protected int getColumnNumber(String str)
    {
        for ( int i=0; i<getColumnCount(); i++)
        {
            if ( str.equals( getColumnName(i) ) )
            {
                return i;
            }
        }
        return -1;
    }
    
    
    public Object getValueAt(int row, int col)
    {
        return null;
    }

    
    public Class getColumnClass(int c)
        {
            return getValueAt(0, c).getClass();
        }

      /*
    public void tableChanged(TableModelEvent e)
    {
          //fireTableChanged(e);
        System.out.println("fireTAblechanged");
    }
      */
}







































