package org.columba.gui.header.util;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author
 * @version 1.0
 */

import org.columba.gui.header.*;

public abstract class TableModelPlugin
{
    protected HeaderTableModel headerTableModel;

    public static final int STRUCTURE_CHANGE = 0;
    public static final int NODES_REMOVED    = 1;
    public static final int NODES_INSERTED   = 2;
    public static final int NODES_CHANGED    = 3;


    public TableModelPlugin( HeaderTableModel headerTableModel )
    {

        this.headerTableModel = headerTableModel;
    }

    public HeaderTableModel getHeaderTableModel()
    {
        return headerTableModel;
    }

    public abstract boolean manipulateModel( int mode ) throws Exception;



}