package org.columba.gui.themes.contrastcolumba;

import javax.swing.*;
import java.awt.*;
import javax.swing.plaf.*;
import javax.swing.plaf.metal.*;

import javax.swing.border.*;



public class ContrastColumbaFolderInfoPanelBorder extends AbstractBorder implements UIResource
{

    private static final Insets insets = new Insets(2, 2, 2, 2);
    
    public void paintBorder(Component c, Graphics g, int x, int y,
                            int w, int h)
    {


            g.translate( x, y);

            g.setColor( MetalLookAndFeel.getControl() );
            g.drawRect( 0, 0, w-1, h-1 );
            g.drawRect( 1, 1, w-2, h-2 );
            
                       
            g.translate( -x, -y);

            
    }
    
    public Insets getBorderInsets( Component c )
    {
        return insets;
    }
   


    
}
