// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


package org.columba.gui.util;

import javax.swing.*;
import java.awt.*;
import java.awt.image.*;


class PullButton extends JButton
    {
        public PullButton()
            {
                super();
		
            }

        public void paintComponent(Graphics g)
        {
            super.paintComponent(g);  //paint background

            int h = ( getHeight() / 2 );
            int w = ( getWidth() / 2 );
            
            int[] xp = new int[3];
            int[] yp = new int[3];
            xp[0]=w-4;yp[0]=h-2;
            xp[1]=w+4;yp[1]=h-2;
            xp[2]=w;yp[2]=h+3 ;
            
            
            g.setColor( Color.black );
            
            g.fillPolygon( xp, yp, 3 );
        }
}
