package org.columba.pop3;


import org.columba.main.MainInterface;
import org.columba.config.*;
import org.columba.protocol.*;
import org.columba.folder.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author
 * @version 1.0
 */

public abstract class DefaultWorker extends Worker{

       protected MainInterface mainInterface;
       protected PopServer popServer;
       protected PopItem item;
       protected Pop3 pop3Connection;

       protected Pop3Operation pop3Op;

    public void init( Operator root, Operation op )
    {
        super.init( root, op);

        pop3Op = (Pop3Operation) op;

        this.mainInterface = root.mainInterface;
        this.popServer = pop3Op.popServer;
        this.item = popServer.getPopItem();
        this.pop3Connection = popServer.pop3Connection;
    }

       /*
    public DefaultWorker()
    {
        System.out.println("defaultWorker->constructor()");
        pop3Op = (Pop3Operation) op;


        this.mainInterface = root.mainInterface;
        this.popServer = pop3Op.popServer;
        this.item = popServer.getPopItem();
        this.pop3Connection = popServer.pop3Connection;
    }
    */

    /*
    public DefaultWorker(MainInterface mainInterface, PopServer server) {
        //this.mainInterface = mainInterface;
        this.popServer = server;


    }
    */


    public void openPort() throws Exception
    {
        setText( popServer.getFolderName()+ " : Querying..." );
        startTimer();

        // open socket, query for host
        pop3Connection.openPort( item.getHost(), (new Integer( item.getPort() )).intValue() );

        stopTimer();
    }

    public void closePort() throws Exception
    {
        setText( popServer.getFolderName()+ " : Closing port..." );

        pop3Connection.close();
    }



}