package org.columba.util;

import java.applet.*;
import java.net.*;
import java.io.*;

/**
 * @version 	1.0
 * @author
 */
public class PlaySound 
{
	public static void play( String filename )
	{		
        URL url = ClassLoader.getSystemResource("org/columba/sound/"+filename);
		System.out.println("url:"+url);
		
		if ( url != null )
		{
			SoundLoader loader = new SoundLoader( url );
			loader.setPriority( Thread.MIN_PRIORITY );
			loader.start();
		}
		else
		{
			System.out.println("url is null");
		}
	}
	
	public static void play( URL url )
	{		       
		System.out.println("url:"+url);
		
		if ( url != null )
		{
			SoundLoader loader = new SoundLoader( url );
			loader.setPriority( Thread.MIN_PRIORITY );
			loader.start();
		}
		else
		{
			System.out.println("url is null");
		}
	}
}


class SoundLoader extends Thread
{
	URL url;
	
	SoundLoader( URL url )
	{
		this.url = url;	
	}
	
	public void run() 
	{
        AudioClip audioClip = Applet.newAudioClip(url);
        audioClip.play();
    }


}